import cmath
import numpy as np
from povm_toolbox.quantum_info import SingleQubitPOVM
vecs = np.sqrt(1.0 / 2.0) * np.array(
    [
        [1, 0],
        [np.sqrt(1.0 / 3.0), np.sqrt(2.0 / 3.0)],
        [np.sqrt(1.0 / 3.0), np.sqrt(2.0 / 3.0) * cmath.exp(2.0j * np.pi / 3)],
        [np.sqrt(1.0 / 3.0), np.sqrt(2.0 / 3.0) * cmath.exp(4.0j * np.pi / 3)],
    ]
)
sic_povm = SingleQubitPOVM.from_vectors(vecs)
sic_povm.draw_bloch()
# Expected:
## <Figure size 500x500 with 1 Axes>
